<div class="col-g-12">
    <div class="ui-g-12" style="margin-bottom: 10 px"></div>
    <div class="ui-g-12" style="background-color: white; border: 1px solid black">
        <!-- <div class="ui-g-12">
                  <button pButton type="submit" label="Dashboard By Percent" icon="fa-filter"
                      class="ui-button-primary flat-label-button" (click)="toPercent()">
                  </button>
              </div> -->
        <div class="ui-g-12">
            <h1>Dashboard Hasil Produksi</h1>
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label>Type</label>
                        <div>
                            <p-dropdown [options]="bulan" [(ngModel)]="selectType" id="field_PIC" (onChange)="reverseData()">
                            </p-dropdown>
                        </div>
                    </div>
                    <div *ngIf="selectType === '2'" [hidden]="selectType !== '2'">
                        <div class="ui-g-6">
                            <label>Bulan</label>
                            <div>
                                <p-dropdown [options]="bulan1" [(ngModel)]="selectBulan" id="field_PIC">
                                </p-dropdown>
                            </div>
                        </div>
                        <div class="ui-g-6">
                            <label>Tahun</label>
                            <div>
                                <p-dropdown [options]="tahun1" [(ngModel)]="selectTahun" id="field_PIC">
                                </p-dropdown>
                            </div>
                        </div>
                    </div>

                    <div *ngIf="selectType === '3'" [hidden]="selectType !== '3'">
                        <div class="ui-g-4">
                            <label>Periode Dari</label>
                            <div>
                                <p-dropdown [options]="bulan1" [(ngModel)]="selectBulan1" id="field_PIC">
                                </p-dropdown>
                            </div>
                        </div>
                        <div class="ui-g-4">
                            <label>Periode Sampai</label>
                            <div>
                                <p-dropdown [options]="bulan1" [(ngModel)]="selectBulan2" id="field_PIC">
                                </p-dropdown>
                            </div>
                        </div>
                        <div class="ui-g-4">
                            <label>Tahun</label>
                            <div>
                                <p-dropdown [options]="tahun1" [(ngModel)]="selectTahun1" id="field_PIC">
                                </p-dropdown>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="getData()">
                            <span class="fa fa-print"></span>&nbsp;Tampilkan
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 10 px">
            <div *ngIf="typeDash === 'daily'" [hidden]="typeDash !== 'daily'">
                <div class="ui-g-12" *ngFor="let tanggal of daysOfYear2">
                    <p-fieldset legend="{{tanggal | date:'dd-MM-yyyy'}}" [toggleable]="true" collapsed="true">
                        <div class="ui-g-12" style="
                          text-align: center;
                          border: 1px solid black;
                          margin-bottom: 10 px;
                        ">
                            <div id="chartDaily2_{{tanggal | date:'dd-MM-yyyy'}}" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>
                
                <div class="ui-g-12">
                    <p-fieldset legend="{{tanggal | date:'dd-MM-yyyy'}}" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivDaily" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>

                <div class="ui-g-12" *ngFor="let tanggal of daysOfYear">
                    <p-fieldset legend="{{tanggal | date:'dd-MM-yyyy'}}" [toggleable]="true" collapsed="true">
                        <div class="ui-g-12" style="
                          text-align: center;
                          border: 1px solid black;
                          margin-bottom: 10 px;
                        ">
                            <div id="chartDaily_{{tanggal | date:'dd-MM-yyyy'}}" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>
            </div>

            <div *ngIf="typeDash === 'monthly'" [hidden]="typeDash !== 'monthly'">
                <div class="ui-g-12">
                    <p-fieldset legend="Larutan Cap Badak" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivBarMonthlyBdk" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>

                <div class="ui-g-12">
                    <p-fieldset legend="Lasegar" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivBarMonthlyLsg" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>

                <div class="ui-g-12">
                    <p-fieldset legend="Lain - Lain" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivBarMonthlyLain" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>
            </div>

            <div *ngIf="typeDash === 'period'" [hidden]="typeDash !== 'period'">
                <div class="ui-g-12">
                    <p-fieldset legend="Larutan Cap Badak" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivBarMonthlyBdk1" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>

                <div class="ui-g-12">
                    <p-fieldset legend="Lasegar" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivBarMonthlyLsg1" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>

                <div class="ui-g-12">
                    <p-fieldset legend="Lain - Lain" [toggleable]="true">
                        <div class="ui-g-12" style="
                      text-align: center;
                      border: 1px solid black;
                      margin-bottom: 10 px;
                    ">
                            <div id="chartdivBarMonthlyLain1" style="height: 400px;"></div>
                        </div>
                    </p-fieldset>
                </div>
            </div>
        </div>
    </div>
</div>